/**
 * Simple Stripe Payment
 *
 * @package    Simple Stripe Payment Block
 * @subpackage simplestripepayment-block.js
/*  Copyright (c) 2019- Katsushi Kawamori (email : dodesyoswift312@gmail.com)
	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; version 2 of the License.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

var el                = wp.element.createElement,
	registerBlockType = wp.blocks.registerBlockType,
	ServerSideRender  = wp.components.ServerSideRender,
	TextControl       = wp.components.TextControl,
	SelectControl     = wp.components.SelectControl;
	InspectorControls = wp.editor.InspectorControls;

registerBlockType(
	'stripe-button/simplestripepayment-block',
	{
		title: 'Simple Stripe Payment',
		icon: 'button',
		category: 'widgets',

		edit: function( props ) {
			return [
			el(
				ServerSideRender,
				{
					block: 'stripe-button/simplestripepayment-block',
					attributes: props.attributes,
				}
			),
			el(
				InspectorControls,
				{},
				el(
					TextControl,
					{
						label: 'amount',
						value: props.attributes.amount,
						onChange: ( value ) => { props.setAttributes( { amount: value } ); },
					}
				),
				el(
					TextControl,
					{
						label: 'name',
						value: props.attributes.name,
						onChange: ( value ) => { props.setAttributes( { name: value } ); },
					}
				),
				el(
					TextControl,
					{
						label: 'description',
						value: props.attributes.description,
						onChange: ( value ) => { props.setAttributes( { description: value } ); },
					}
				),
				el(
					SelectControl,
					{
						label: 'currency',
						value: props.attributes.currency,
						onChange: ( value ) => { props.setAttributes( { currency: value } ); },
						options: [
						{ value: 'USD', label: 'United States dollar' },
						{ value: 'AUD', label: 'Australian dollar' },
						{ value: 'BRL', label: 'Brazilian real' },
						{ value: 'CAD', label: 'Canadian dollar' },
						{ value: 'CZK', label: 'Czech koruna' },
						{ value: 'DKK', label: 'Danish krone' },
						{ value: 'EUR', label: 'Euro' },
						{ value: 'HKD', label: 'Hong Kong dollar' },
						{ value: 'HUF', label: 'Hungarian forint' },
						{ value: 'INR', label: 'Indian rupee' },
						{ value: 'ILS', label: 'Israeli new shekel' },
						{ value: 'JPY', label: 'Japanese yen' },
						{ value: 'MYR', label: 'Malaysian ringgit' },
						{ value: 'MXN', label: 'Mexican peso' },
						{ value: 'TWD', label: 'New Taiwan dollar' },
						{ value: 'NZD', label: 'New Zealand dollar' },
						{ value: 'NOK', label: 'Norwegian krone' },
						{ value: 'PHP', label: 'Philippine peso' },
						{ value: 'PLN', label: 'Polish zloty' },
						{ value: 'GBP', label: 'Pound sterling' },
						{ value: 'RUB', label: 'Russian ruble' },
						{ value: 'SGD', label: 'Singapore dollar' },
						{ value: 'SEK', label: 'Swedish krona' },
						{ value: 'CHF', label: 'Swiss franc' },
						{ value: 'THB', label: 'Thai baht' },
						],
					}
				),
				el(
					TextControl,
					{
						label: 'label',
						value: props.attributes.label,
						onChange: ( value ) => { props.setAttributes( { label: value } ); },
					}
				),
				el(
					TextControl,
					{
						label: 'before',
						value: props.attributes.before,
						onChange: ( value ) => { props.setAttributes( { before: value } ); },
					}
				),
				el(
					TextControl,
					{
						label: 'after',
						value: props.attributes.after,
						onChange: ( value ) => { props.setAttributes( { after: value } ); },
					}
				),
				el(
					TextControl,
					{
						label: 'remove',
						value: props.attributes.remove,
						onChange: ( value ) => { props.setAttributes( { remove: value } ); },
					}
				)
			),
			];

		},

		save: function() {
			return null;
		},

	}
);
